Module java.desktop

# Package java.awt.color

package java.awt.color
Provides classes for color spaces. It contains an implementation of a color space based on the International Color Consortium (ICC) Profile Format Specification, Version 3.4, August 15, 1997. It also contains color profiles based on the ICC Profile Format Specification.

Since:
  1.2

Class Summary
Class
Description
ColorSpace
This abstract class is used to serve as a color space tag to identify the specific color space of a `Color` object or, via a `ColorModel` object, of an `Image`, a `BufferedImage`, or a `GraphicsDevice`.
ICC_ColorSpace
The `ICC_ColorSpace` class is an implementation of the abstract `ColorSpace` class.
ICC_Profile
A representation of color profile data for device independent and device dependent color spaces based on the International Color Consortium Specification ICC.1:2001-12, File Format for Color Profiles, (see http://www.color.org).
ICC_ProfileGray
The `ICC_ProfileGray` class is a subclass of the `ICC_Profile` class that represents profiles which meet the following criteria: the color space type of the profile is `TYPE_GRAY` and the profile includes the `grayTRCTag` and `mediaWhitePointTag` tags.
ICC_ProfileRGB
The `ICC_ProfileRGB` class is a subclass of the `ICC_Profile` class that represents profiles which meet the following criteria: the profile's color space type is RGB, and the profile includes the `redColorantTag`, `greenColorantTag`, `blueColorantTag`, `redTRCTag`, `greenTRCTag`, `blueTRCTag`, `mediaWhitePointTag` tags.
Exception Summary
Exception
Description
CMMException
This exception is thrown if the native CMM returns an error.
ProfileDataException
This exception is thrown when an error occurs in accessing or processing an `ICC_Profile` object.